{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block body %}

    {% set historyTryout = [
        {"namaTryout" : "Tryout Ujian Sekolah", "statusBayar" : 0, "totalSoal": 40, "xp": 200, "coin" : 200},
        {"namaTryout" : "Tryout Ujian Sekolah 2", "statusBayar" : 1, "totalSoal": 50, "xp": 200, "coin" : 200}
    ] %}
    {% block moreCss %}
    {% endblock %}
    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Tryout Kamu
        {% endblock %}

        {% block menuBar %}

        {% endblock %}

    {% endembed %}

    {#    Tagihan#}
    <section class="container-fluid mt-3" id="content">

        {#        {% for single in data%}#}
        {#            <div class="gen-card p-3">#}
        {#                <p class="font-weight-bold mb-1">{{ single.tryOut.title }}</p>#}
        {#                <p class="mb-1">{{ historyTryout[i].totalSoal }} Soal</p>#}
        {#                <div class="d-flex align-items-center mb-1">#}
        {#                    <p class="mr-3 mb-0">{{ historyTryout[i].xp }} XP</p>#}
        {#                    <img src="{{ asset('images/common/icons/coin.png') }}" style="height: 1em" class="mr-2"/>#}
        {#                    <p class="mb-0">{{ historyTryout[i].coin }}</p>#}
        {#                </div>#}

        {#                <div class="d-flex justify-content-between align-items-center">#}
        {#                    {% if(historyTryout[i].statusBayar) == 0 %}#}
        {#                        <p class="t-red f08 mb-0">Menunggu Pembayaran</p>#}
        {#                    {% else %}#}
        {#                        <p class="text-success f08 mb-0">Lunas</p>#}

        {#                    {% endif %}#}
        {#                </div>#}

        {#                <hr>#}
        {#                <div class="d-flex justify-content-between align-items-center">#}
        {#                    {% if(historyTryout[i].statusBayar) == 0 %}#}
        {#                        <a class="bt-accent f08" style="padding: 0.3em 1em" href="{{ path('detailPaketSoal') }}">Lakukan#}
        {#                            Pembayaran</a>#}
        {#                    {% else %}#}
        {#                        <a class="bt-primary f08" style="padding: 0.3em 1em" href="{{ path('detailPaketSoal') }}">Kerjakan#}
        {#                            Tryout</a>#}

        {#                    {% endif %}#}
        {#                </div>#}
        {#            </div>#}
        {#        {% endfor %}#}

    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('js/formatter.js') }}"></script>
    <script src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        $(document).ready(function () {
            {% for label, messages in app.session.flashbag.all %}
            {% for pesan in messages %}
            genAlert("{{ label }}", "{{ pesan }}");
            {% endfor %}
            {% endfor %}

        });

        function fetchData(data) {
            console.log("DATAA", data);
            let vLink = "{{ path("pembayaranTryoutView", {id : "zen"}) }}";
            let uLink = "{{ path("tambahPesertaTryout", {reg : "zen"}) }}";
            data.forEach(function (root, key) {
                vLink = vLink.replace("zen", root['id']);
                uLink = uLink.replace("zen", root['id']);
                let dLink = "{{ path("kerjain_paket", {cat : "zen", reg : "reg"}) }}";
                dLink = dLink.replace("zen", root['tryOut']['id']);
                dLink = dLink.replace("reg", root['id']);
                $("#content").append(
                    '            <div class="gen-card p-3">\n' +
                    '                <p class="font-weight-bold mb-1">' + root['tryOut']['title'] + '</p>\n' +
                    '                <p class="mb-1">' + root['registrantNumber'] + ' Pendaftar x ' + currency(root['finalPrice']) + '</p>\n' +
                    '                <p class="mb-1 small">' + (root['invitedBy'] ? 'Diundang oleh ' + root['invitedBy']['user']['profile']['fullName'] : '') + '</p>\n' +
                    '                <div class="d-flex align-items-center mb-1">\n' +
                        {#'                    <p class="mr-3 mb-0">{{ historyTryout[i].xp }} XP</p>\n'+#}
                        {#'                    <img src="{{ asset(\'images/common/icons/coin.png\') }}" style="height: 1em" class="mr-2"/>\n'+#}
                        {#'                    <p class="mb-0">{{ historyTryout[i].coin }}</p>\n'+#}
                    '                </div>\n' +
                    '\n' +
                    '                <div class="d-flex justify-content-between align-items-center">\n' +
                    (root['isPaid'] === false ?
                        '                        <p class="t-red f08 mb-0">Menunggu Pembayaran</p>\n'
                        :
                        '                        <p class="text-success f08 mb-0">Lunas</p>\n') +
                    (root['promoDescription'] && root['promoDescription'].split("FREE_")[1] ?
                        '                        <p class="text-success b f08 mb-0"><b> CODE : ' + root['promoDescription'].split("FREE_")[1] + '<b></p>\n'
                        : '') +
                    '<p class="mb-1">' + currency(root['totalPrice']) + '</p>' +
                    '                </div>\n' +
                    '\n' +
                    '                <hr>\n' +
                    '                <div class="d-flex justify-content-between align-items-center">\n' +
                        {#'                    {% if(historyTryout[i].statusBayar) == 0 %}\n'+#}
                    (root['isPaid'] === false ?
                        '                        <a href="' + vLink + '" class="bt-accent f08" style="padding: 0.3em 1em" href="">Lakukan' +
                        '                            Pembayaran</a>\n'
                        :
                        '                        <a href="' + dLink + '"class="bt-primary f08" style="padding: 0.3em 1em" href="">Kerjakan\n' +
                        '                            Tryout</a>') +
                    (root['isPaid'] && root['registrantNumber'] > 1 ? '<a href="' + uLink + '"class="bt-accent f08" style="padding: 0.3em 1em" href="">Undang teman</a>' : '') +
                    '                </div>\n' +
                    '            </div>'
                );
            });
        }
    </script>
    {{ f.ajaxCall("fetchData", path("history-tryout-api"), "GET") }}
{% endblock %}